Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.pipeline.controller
Class PipelineException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.xml.pipeline.controller.PipelineException`

All Implemented Interfaces:
  java.io.Serializable

      public class PipelineException

extends java.lang.Exception

Represents an exception thrown by a pipeline method.

See Also:
  Serialized Form

Constructor Summary
`PipelineException(java.lang.Exception e)` Create a new PipelineException
`PipelineException(java.lang.String msg)` Create a new PipelineException

Method Summary
`java.lang.String` `getExceptionType()` Get the type of the exception
`java.lang.String` `getProcessId()` Get the Pipeline Process id where the exception is occuring

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PipelineException

    public PipelineException(java.lang.String msg)

  Create a new PipelineException
  Parameters:
    `msg` - error message

### PipelineException

    public PipelineException(java.lang.Exception e)

  Create a new PipelineException
  Parameters:
    `e` - exception embedded in the PipelineException

Method Detail

### getExceptionType

    public java.lang.String getExceptionType()

  Get the type of the exception
  Returns:
    String type of exception, eg. oracle.xml.pipeline.controller.PipelineException

### getProcessId

    public java.lang.String getProcessId()

  Get the Pipeline Process id where the exception is occuring
  Returns:
    String process id attribute

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.